# windows-cli

## 资源管理操作

mkdir 目录路径 ------- 新建目录
rmdir [/s] [/q] 目录路径 ------- 删除目录，/s 表示删除所有子目录和文件 /q 表示安静的不需要提示
del [/s] [/q] [/f] 文件路径 ------- 删除文件 /s 不详 /q 不提示 /f 强制
copy [/A] [/B] 资源路径 目标路径 ------- 资源拷贝到目标 /A 资源为 ascii 文件 /B 资源为二进制文件
move 资源路径 目标路径 ------- 资源路径移动到目标路径，可用来改名
explorer 路径 ------- 打开资源管理器并定位到指定目录
cat 文件路径 ------- 查看文件内容

## 进程/内存/cpu/端口/服务

tasklist ------- 显示所有正在运行的进程列表
tasklist | findstr pid ------- 根据进程 pid 查询对应的进程
tskill pid ------- 杀死对应进程
netstat -ano | findstr 端口号 ------- 根据端口号查询正占用改端口号的进程
netstat -ano ------- 列出所有的端口使用情况
taskmgr ------- 打开任务管理器
services.msc ------- 打开 windows 的服务管理
net start ------- 显示 windows 的所有服务
net start 服务名 ------- 启动 windows 服务
net stop 服务名 ------- 停止 windows 服务
sc create 服务名 binpath=程序可执行文件路径 type=own start=auto displayname=服务别名 ------- 把一个程序注册为服务
sc delete 服务名 ------- 删除已经存在的服务

## 环境变量

set ------- 查看所有的环境变量
set key ------- 查看环境变量 key 的值
set key=value ------- 临时设置环境变量 key 的值为 value
set key= ------- 临时删除环境变量 key
setx key value -m ------- 永久设置环境变量 key 的值为 value
setx key '' -m ------- 永久删除环境变量 key 的值
set Path=%Path%;value ------- 临时追加环境变量 Path 的值
setx Path %Path%;value -m ------- 永久追加环境变量 Path 的值
sysdm.cpl ------- 打开 windows 系统的环境变量设置界面
$env:key ------- powershell 中查看换将变量 key 的值
$env:key=value ------- powershell 中临时设置环境变量 key 的值为 value
Get-ChildItem env: ------- powershell 中查看所有环境变量的值
refreshenv ------- 刷新环境变量
